%global srcname plaster-pastedeploy
%global sum A PasteDeploy binding to the plaster configuration loader

Name: python-%{srcname}
Version: 0.4.2
Release: 1%{?dist}
BuildArch: noarch

License: MIT
Summary: %{sum}
URL:     https://github.com/Pylons/plaster_pastedeploy
Source0: %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: python2-devel
BuildRequires: python2-paste-deploy >= 1.5.0
BuildRequires: python2-plaster >= 0.5
BuildRequires: python2-pytest
BuildRequires: python3-devel
BuildRequires: python3-paste-deploy >= 1.5.0
BuildRequires: python3-plaster >= 0.5
BuildRequires: python3-pytest


%description
plaster_pastedeploy is a plaster plugin that provides a
plaster.Loader that can parse ini files according to the standard set
by PasteDeploy. It supports the wsgi plaster protocol, implementing
the plaster.protocols.IWSGIProtocol interface.


%package -n python2-%{srcname}
Summary: %{sum}

Requires: python2-paste-deploy >= 1.5.0
Requires: python2-plaster >= 0.5
Requires: python2-setuptools

%{?python_provide:%python_provide python2-%{srcname}}


%description -n python2-%{srcname}
%{description}


%package -n python3-%{srcname}
Summary: %{sum}

Requires: python3-paste-deploy >= 1.5.0
Requires: python3-plaster >= 0.5
Requires: python3-setuptools

%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-%{srcname}
%{description}


%prep
%autosetup -n plaster_pastedeploy-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
PYTHONPATH="./src" py.test-2
# We skip the test_foreign_config test because of
# https://github.com/Pylons/plaster_pastedeploy/issues/9
PYTHONPATH="./src" py.test-3 -k "not test_foreign_config"


%files -n python2-%{srcname}
%license LICENSE.txt
%doc CHANGES.rst
%doc README.rst
%{python2_sitelib}/plaster_pastedeploy
%{python2_sitelib}/*.egg-info


%files -n python3-%{srcname}
%license LICENSE.txt
%doc CHANGES.rst
%doc README.rst
%{python3_sitelib}/plaster_pastedeploy
%{python3_sitelib}/*.egg-info


%changelog
* Wed Jan 17 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2 (#1469107).
- https://github.com/Pylons/plaster_pastedeploy/blob/0.4.2/CHANGES.rst

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jul 08 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.3.2-2
- Depend on python2-paste-deploy instead of python-paste-deploy.

* Mon Jul 03 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.3.2-1
- Initial release.
